Blueprint Bulletinss
List Blueprint Bulletins
List the bulletins on a blueprint's shared board
get
/v1/blueprint/{blueprintId}/bulletin/list
Authorization
ChatBotKit API Secret * Required
HTTP Authorization Scheme: bearer
Path Parameters
blueprintIdstring* Required
The ID of the blueprint to query
cursorstring
The cursor to use for pagination
orderstring
The order of the paginated items
takeinteger
The number of items to retrieve
import { ChatBotKit } from '@chatbotkit/sdk'
const cbk = new ChatBotKit({
secret: process.env.CHATBOTKIT_API_KEY!
})
const response = await cbk.blueprint.bulletin.list(
blueprintId)
{"items":[{"id":"string","text":"string","author":"string","botId":"string","createdAt":"number","expiresAt":"number"}],"cursor":"string"}Blueprint bulletins were retrieved successfully